diff --git a/src/main/java/net/minecraft/client/gui/GuiContainer.java b/src/main/java/net/minecraft/client/gui/container/AbstractContainerScreen.java
similarity index 81%
rename from src/main/java/net/minecraft/client/gui/GuiContainer.java
rename to src/main/java/net/minecraft/client/gui/container/AbstractContainerScreen.java
index 3efb12233..7bc1cc3bc 100644
--- a/src/main/java/net/minecraft/client/gui/GuiContainer.java
+++ b/src/main/java/net/minecraft/client/gui/container/AbstractContainerScreen.java
@@ -1,14 +1,17 @@
 
-package net.minecraft.client.gui;
+package net.minecraft.client.gui.container;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.gui.guidebook.GuiGuidebook;
+import net.minecraft.client.gui.ItemElement;
+import net.minecraft.client.gui.Screen;
+import net.minecraft.client.gui.TooltipElement;
+import net.minecraft.client.gui.guidebook.GuidebookScreen;
 import net.minecraft.client.gui.guidebook.GuidebookSections;
 import net.minecraft.client.gui.guidebook.PageManager;
 import net.minecraft.client.gui.guidebook.SearchableGuidebookSection;
 import net.minecraft.client.gui.guidebook.search.SearchPage;
 import net.minecraft.client.input.controller.ControllerInput;
-import net.minecraft.client.util.helper.GuiItemDragHandler;
+import net.minecraft.client.util.helper.ItemDragHandler;
 import net.minecraft.core.InventoryAction;
 import net.minecraft.core.block.entity.BlastFurnaceBlockEntity;
 import net.minecraft.core.crafting.LookupFuelFurnace;
@@ -34,28 +37,28 @@ import org.lwjgl.opengl.GL11;
 //            ItemStack, FontRenderer, RenderEngine, PlayerController,
 //            GameSettings, KeyBinding
 
-public abstract class GuiContainer extends GuiScreen
+public abstract class AbstractContainerScreen extends Screen
 {
 	public int xSize;
 	public int ySize;
 	public AbstractContainerMenu inventorySlots;
-	GuiTooltip guiTooltip;
-	GuiRenderItem guiRenderItem;
-	public GuiItemDragHandler itemDragHandler;
+	TooltipElement tooltipElement;
+	ItemElement itemElement;
+	public ItemDragHandler itemDragHandler;
 
-	public GuiContainer(final AbstractContainerMenu container)
+	public AbstractContainerScreen(final AbstractContainerMenu container)
 	{
 		Minecraft mc = Minecraft.getMinecraft(this);
 		xSize = 176;
 		ySize = 166;
 		inventorySlots = container;
-		guiTooltip = new GuiTooltip(mc);
-		guiRenderItem = new GuiRenderItem(mc);
-		itemDragHandler = new GuiItemDragHandler(mc, this, guiRenderItem);
+		tooltipElement = new TooltipElement(mc);
+		itemElement = new ItemElement(mc);
+		itemDragHandler = new ItemDragHandler(mc, this, itemElement);
 	}
 
 	@Override
-	public boolean pausesGame()
+	public boolean isPauseScreen()
 	{
 		return false;
 	}
@@ -67,9 +70,9 @@ public abstract class GuiContainer extends GuiScreen
 	}
 
 	@Override
-	public void drawScreen(final int mouseX, final int mouseY, final float partialTick)
+	public void render(final int xm, final int ym, final float partialTick)
 	{
-		drawDefaultBackground();
+		renderBackground();
 		final int centerX = (width - xSize) / 2;
 		final int centerY = (height - ySize) / 2;
 		drawGuiContainerBackgroundLayer(partialTick);
@@ -80,9 +83,9 @@ public abstract class GuiContainer extends GuiScreen
 		for (int i = 0; i < inventorySlots.slots.size(); i++)
 		{
 			final Slot slot1 = inventorySlots.slots.get(i);
-			boolean mouseOver = getIsMouseOverSlot(slot1, mouseX, mouseY);
+			boolean mouseOver = getIsMouseOverSlot(slot1, xm, ym);
 			if(!itemDragHandler.isSlotDragged(slot1)) {
-				guiRenderItem.render(slot1.getItem(), slot1.x, slot1.y, mouseOver, slot1);
+				itemElement.render(slot1.getItem(), slot1.x, slot1.y, mouseOver, slot1);
 			}
 			if (mouseOver)
 			{
@@ -93,7 +96,7 @@ public abstract class GuiContainer extends GuiScreen
 		final Inventory inventoryplayer = mc.thePlayer.inventory;
 		ItemStack grabbedItem = inventoryplayer.getHeldItemStack();
 		if(mc.gameSettings.enableItemDragging.value) {
-			itemDragHandler.drawScreen(mouseX, mouseY, partialTick);
+			itemDragHandler.drawScreen(xm, ym, partialTick);
 
 			ItemStack grabbedItemOverride = itemDragHandler.getHeldItemRenderOverride();
 			if(grabbedItemOverride != null) {
@@ -102,13 +105,13 @@ public abstract class GuiContainer extends GuiScreen
 		}
 		GL11.glPopMatrix();
 
-		super.drawScreen(mouseX, mouseY, partialTick);
+		super.render(xm, ym, partialTick);
 
 		GL11.glPushMatrix();
 		if (grabbedItem != null)
 		{
 			GL11.glTranslatef(centerX, centerY, 100.0F);
-			guiRenderItem.render(grabbedItem, mouseX - centerX - 8, mouseY - centerY - 8);
+			itemElement.render(grabbedItem, xm - centerX - 8, ym - centerY - 8);
 		}
 		GL11.glPopMatrix();
 
@@ -116,10 +119,10 @@ public abstract class GuiContainer extends GuiScreen
 		if (inventoryplayer.getHeldItemStack() == null && slot != null && slot.hasItem())
 		{
 			boolean showDescription = Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL) || mc.gameSettings.alwaysShowDescriptions.value;
-			String str = guiTooltip.getTooltipText(slot.getItem(), showDescription, slot);
+			String str = tooltipElement.getTooltipText(slot.getItem(), showDescription, slot);
 			if(str.length() > 0)
 			{
-				guiTooltip.render(str, mouseX, mouseY, 8, -8);
+				tooltipElement.render(str, xm, ym, 8, -8);
 			}
 		}
 		GL11.glEnable(GL11.GL_DEPTH_TEST);
@@ -156,119 +159,119 @@ public abstract class GuiContainer extends GuiScreen
 	}
 
 	@Override
-	public void keyTyped(final char c, final int i, int mouseX, int mouseY)
+	public void keyPressed(final char eventCharacter, final int eventKey, int mx, int my)
 	{
-		if (i == Keyboard.KEY_ESCAPE || mc.gameSettings.keyInventory.isKeyboardKey(i) || i == Keyboard.KEY_BACK)
+		if (eventKey == Keyboard.KEY_ESCAPE || mc.gameSettings.keyInventory.isKeyboardKey(eventKey) || eventKey == Keyboard.KEY_BACK)
 		{
 			mc.thePlayer.closeScreen();
 		}
-		int slotId = getSlotId(mouseX, mouseY);
+		int slotId = getSlotId(mx, my);
 		if(slotId >= 0) {
-			if(mc.gameSettings.keyShowRecipe.isKeyboardKey(i)){
+			if(mc.gameSettings.keyShowRecipe.isKeyboardKey(eventKey)){
 				Slot slot = inventorySlots.slots.get(slotId);
 				if(slot.hasItem()){
 					String query = "r:"+slot.getItem().getDisplayName()+"!";
-					onClosed();
+					removed();
 					mc.thePlayer.closeScreen();
 					PageManager.searchQuery = SearchQuery.resolve(query);
 					SearchPage.searchField.setText(query);
-					GuiGuidebook.getPageManager().updatePages();
+					GuidebookScreen.getPageManager().updatePages();
                     if (!((SearchableGuidebookSection) GuidebookSections.CRAFTING).searchPages(PageManager.searchQuery).isEmpty()) {
-						GuiGuidebook.getPageManager().setCurrentPage(GuiGuidebook.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
+						GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
                     } else if (!((SearchableGuidebookSection) GuidebookSections.FURNACE).searchPages(PageManager.searchQuery).isEmpty()) {
-						GuiGuidebook.getPageManager().setCurrentPage(GuiGuidebook.getPageManager().getSectionIndex(GuidebookSections.FURNACE), true);
+						GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.FURNACE), true);
 					} else if (!((SearchableGuidebookSection) GuidebookSections.BLAST_FURNACE).searchPages(PageManager.searchQuery).isEmpty()) {
-						GuiGuidebook.getPageManager().setCurrentPage(GuiGuidebook.getPageManager().getSectionIndex(GuidebookSections.BLAST_FURNACE), true);
+						GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.BLAST_FURNACE), true);
 					} else if (!((SearchableGuidebookSection) GuidebookSections.TROMMEL).searchPages(PageManager.searchQuery).isEmpty()) {
-						GuiGuidebook.getPageManager().setCurrentPage(GuiGuidebook.getPageManager().getSectionIndex(GuidebookSections.TROMMEL), true);
+						GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.TROMMEL), true);
 					}
-					mc.thePlayer.displayGUIGuidebook();
+					mc.thePlayer.displayGuidebookScreen();
 				}
 			}
-			if(mc.gameSettings.keyShowUsage.isKeyboardKey(i)){
+			if(mc.gameSettings.keyShowUsage.isKeyboardKey(eventKey)){
 				Slot slot = inventorySlots.slots.get(slotId);
 				if(slot.hasItem()) {
 					String query = "u:" + slot.getItem().getDisplayName() + "!";
-					onClosed();
+					removed();
 					mc.thePlayer.closeScreen();
 					PageManager.searchQuery = SearchQuery.resolve(query);
 					SearchPage.searchField.setText(query);
-					GuiGuidebook.getPageManager().updatePages();
+					GuidebookScreen.getPageManager().updatePages();
 					if (!((SearchableGuidebookSection) GuidebookSections.CRAFTING).searchPages(PageManager.searchQuery).isEmpty()) {
-						GuiGuidebook.getPageManager().setCurrentPage(GuiGuidebook.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
+						GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
 					} else if (!((SearchableGuidebookSection) GuidebookSections.FURNACE).searchPages(PageManager.searchQuery).isEmpty()) {
-						GuiGuidebook.getPageManager().setCurrentPage(GuiGuidebook.getPageManager().getSectionIndex(GuidebookSections.FURNACE), true);
+						GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.FURNACE), true);
 					} else if (!((SearchableGuidebookSection) GuidebookSections.BLAST_FURNACE).searchPages(PageManager.searchQuery).isEmpty()) {
-						GuiGuidebook.getPageManager().setCurrentPage(GuiGuidebook.getPageManager().getSectionIndex(GuidebookSections.BLAST_FURNACE), true);
+						GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.BLAST_FURNACE), true);
 					} else if (!((SearchableGuidebookSection) GuidebookSections.TROMMEL).searchPages(PageManager.searchQuery).isEmpty()) {
-						GuiGuidebook.getPageManager().setCurrentPage(GuiGuidebook.getPageManager().getSectionIndex(GuidebookSections.TROMMEL), true);
+						GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.TROMMEL), true);
 					}
-					mc.thePlayer.displayGUIGuidebook();
+					mc.thePlayer.displayGuidebookScreen();
 				}
 			}
-			if(mc.gameSettings.keyDrop.isKeyboardKey(i)) {
+			if(mc.gameSettings.keyDrop.isKeyboardKey(eventKey)) {
 				boolean ctrl = Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL);
 				int amount = 1;
 				if(ctrl) amount = 64;
 				mc.playerController.handleInventoryMouseClick(inventorySlots.containerId, InventoryAction.DROP, new int[] {slotId, amount}, mc.thePlayer);
 			}
 			// Horrifying
-			if (mc.gameSettings.keyHotBarSlot1.isKeyboardKey(i)){
+			if (mc.gameSettings.keyHotBarSlot1.isKeyboardKey(eventKey)){
 				mc.playerController.handleInventoryMouseClick(inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[] {slotId, 1}, mc.thePlayer);
 			}
-			if (mc.gameSettings.keyHotBarSlot2.isKeyboardKey(i)){
+			if (mc.gameSettings.keyHotBarSlot2.isKeyboardKey(eventKey)){
 				mc.playerController.handleInventoryMouseClick(inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[] {slotId, 2}, mc.thePlayer);
 			}
-			if (mc.gameSettings.keyHotBarSlot3.isKeyboardKey(i)){
+			if (mc.gameSettings.keyHotBarSlot3.isKeyboardKey(eventKey)){
 				mc.playerController.handleInventoryMouseClick(inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[] {slotId, 3}, mc.thePlayer);
 			}
-			if (mc.gameSettings.keyHotBarSlot4.isKeyboardKey(i)){
+			if (mc.gameSettings.keyHotBarSlot4.isKeyboardKey(eventKey)){
 				mc.playerController.handleInventoryMouseClick(inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[] {slotId, 4}, mc.thePlayer);
 			}
-			if (mc.gameSettings.keyHotBarSlot5.isKeyboardKey(i)){
+			if (mc.gameSettings.keyHotBarSlot5.isKeyboardKey(eventKey)){
 				mc.playerController.handleInventoryMouseClick(inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[] {slotId, 5}, mc.thePlayer);
 			}
-			if (mc.gameSettings.keyHotBarSlot6.isKeyboardKey(i)){
+			if (mc.gameSettings.keyHotBarSlot6.isKeyboardKey(eventKey)){
 				mc.playerController.handleInventoryMouseClick(inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[] {slotId, 6}, mc.thePlayer);
 			}
-			if (mc.gameSettings.keyHotBarSlot7.isKeyboardKey(i)){
+			if (mc.gameSettings.keyHotBarSlot7.isKeyboardKey(eventKey)){
 				mc.playerController.handleInventoryMouseClick(inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[] {slotId, 7}, mc.thePlayer);
 			}
-			if (mc.gameSettings.keyHotBarSlot8.isKeyboardKey(i)){
+			if (mc.gameSettings.keyHotBarSlot8.isKeyboardKey(eventKey)){
 				mc.playerController.handleInventoryMouseClick(inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[] {slotId, 8}, mc.thePlayer);
 			}
-			if (mc.gameSettings.keyHotBarSlot9.isKeyboardKey(i)){
+			if (mc.gameSettings.keyHotBarSlot9.isKeyboardKey(eventKey)){
 				mc.playerController.handleInventoryMouseClick(inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[] {slotId, 9}, mc.thePlayer);
 			}
 
-			if(mc.gameSettings.keySortInventory.isKeyboardKey(i)) {
+			if(mc.gameSettings.keySortInventory.isKeyboardKey(eventKey)) {
 				mc.playerController.handleInventoryMouseClick(inventorySlots.containerId, InventoryAction.SORT, new int[] {slotId}, mc.thePlayer);
 			}
 		}
 	}
 
 	@Override
-	public void mouseClicked(final int mouseX, final int mouseY, int mouseButton)
+	public void mouseClicked(final int mx, final int my, int buttonNum)
 	{
-		super.mouseClicked(mouseX, mouseY, mouseButton);
+		super.mouseClicked(mx, my, buttonNum);
 		if(mc.gameSettings.enableItemDragging.value) {
-			itemDragHandler.mouseEvent(mouseX, mouseY, mouseButton, true);
+			itemDragHandler.mouseEvent(mx, my, buttonNum, true);
 			return;
 		}
-		if (mouseButton == 0 || mouseButton == 1 || mouseButton == 2 || mouseButton == 10) //button == 10 = controller shift click
+		if (buttonNum == 0 || buttonNum == 1 || buttonNum == 2 || buttonNum == 10) //button == 10 = controller shift click
 		{
-			clickInventory(mouseX, mouseY, mouseButton);
+			clickInventory(mx, my, buttonNum);
 		}
 	}
 	
 	@Override
-	public void mouseMovedOrButtonReleased(int mouseX, int mouseY, int mouseButton) {
-		if(mouseButton >= 0) {
+	public void mouseReleased(int mx, int my, int buttonNum) {
+		if(buttonNum >= 0) {
 			if(mc.gameSettings.enableItemDragging.value) {
-				itemDragHandler.mouseEvent(mouseX, mouseY, mouseButton, false);
+				itemDragHandler.mouseEvent(mx, my, buttonNum, false);
 			}
 		}
-		super.mouseMovedOrButtonReleased(mouseX, mouseY, mouseButton);
+		super.mouseReleased(mx, my, buttonNum);
 	}
 	
 	/**
@@ -598,7 +601,7 @@ public abstract class GuiContainer extends GuiScreen
 	}
 
 	@Override
-	public void onClosed()
+	public void removed()
 	{
 		if (mc.thePlayer == null)
 		{
diff --git a/src/main/java/net/minecraft/client/gui/GuiChest.java b/src/main/java/net/minecraft/client/gui/container/ContainerScreen.java
similarity index 75%
rename from src/main/java/net/minecraft/client/gui/GuiChest.java
rename to src/main/java/net/minecraft/client/gui/container/ContainerScreen.java
index f77122fad..3b94caaa3 100644
--- a/src/main/java/net/minecraft/client/gui/GuiChest.java
+++ b/src/main/java/net/minecraft/client/gui/container/ContainerScreen.java
@@ -1,4 +1,4 @@
-package net.minecraft.client.gui;
+package net.minecraft.client.gui.container;
 
 import net.minecraft.core.player.inventory.menu.ContainerMenu;
 import net.minecraft.core.player.inventory.container.Container;
@@ -8,16 +8,16 @@ import org.lwjgl.opengl.GL11;
 //            GuiContainer, ContainerChest, IInventory, FontRenderer, 
 //            RenderEngine
 
-public class GuiChest extends GuiContainer
+public class ContainerScreen extends AbstractContainerScreen
 {
 
-    public GuiChest(Container iinventory, Container iinventory1)
+    public ContainerScreen(Container iinventory, Container iinventory1)
     {
         super(new ContainerMenu(iinventory, iinventory1));
         inventoryRows = 0;
         upperChestInventory = iinventory;
         lowerChestInventory = iinventory1;
-        allowIngameInput = false;
+        passEvents = false;
         char c = '\336';
         int i = c - 108;
         inventoryRows = iinventory1.getContainerSize() / 9;
@@ -27,15 +27,15 @@ public class GuiChest extends GuiContainer
     @Override
 	protected void drawGuiContainerForegroundLayer()
     {
-        fontRenderer.drawString(lowerChestInventory.getName(), 8, 6, 0x404040);
-        fontRenderer.drawString(upperChestInventory.getName(), 8, (ySize - 96) + 2, 0x404040);
+        font.drawString(lowerChestInventory.getName(), 8, 6, 0x404040);
+        font.drawString(upperChestInventory.getName(), 8, (ySize - 96) + 2, 0x404040);
     }
 
     @Override
 	protected void drawGuiContainerBackgroundLayer(float f)
     {
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        mc.renderEngine.loadTexture("/assets/minecraft/textures/gui/container/container.png").bind();
+        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/container.png").bind();
         int x = (width - xSize) / 2;
         int y = (height - ySize) / 2;
         
diff --git a/src/main/java/net/minecraft/client/gui/GuiCrafting.java b/src/main/java/net/minecraft/client/gui/container/CraftingScreen.java
similarity index 63%
rename from src/main/java/net/minecraft/client/gui/GuiCrafting.java
rename to src/main/java/net/minecraft/client/gui/container/CraftingScreen.java
index eafc14814..520fe1d65 100644
--- a/src/main/java/net/minecraft/client/gui/GuiCrafting.java
+++ b/src/main/java/net/minecraft/client/gui/container/CraftingScreen.java
@@ -1,4 +1,4 @@
-package net.minecraft.client.gui;
+package net.minecraft.client.gui.container;
 
 import net.minecraft.client.input.controller.ControllerInput;
 import net.minecraft.core.lang.I18n;
@@ -11,39 +11,39 @@ import org.lwjgl.opengl.GL11;
 //            GuiContainer, ContainerWorkbench, Container, FontRenderer, 
 //            RenderEngine, InventoryPlayer, World
 
-public class GuiCrafting extends GuiContainer
+public class CraftingScreen extends AbstractContainerScreen
 {
 
-    public GuiCrafting(Inventory inventoryplayer, World world, int i, int j, int k)
+    public CraftingScreen(Inventory inventoryplayer, World world, int i, int j, int k)
     {
         super(new CraftingMenu(inventoryplayer, world, i, j, k));
     }
 
     @Override
-	public void onClosed()
+	public void removed()
     {
-        super.onClosed();
+        super.removed();
         inventorySlots.onCraftGuiClosed(mc.thePlayer);
     }
 
     @Override
 	protected void drawGuiContainerForegroundLayer()
     {
-        fontRenderer.drawString(I18n.getInstance().translateKey("gui.crafting.label.crafting"), 28, 6, 0x404040);
-        fontRenderer.drawString(I18n.getInstance().translateKey("gui.crafting.label.inventory"), 8, (ySize - 96) + 2, 0x404040);
+        font.drawString(I18n.getInstance().translateKey("gui.crafting.label.crafting"), 28, 6, 0x404040);
+        font.drawString(I18n.getInstance().translateKey("gui.crafting.label.inventory"), 8, (ySize - 96) + 2, 0x404040);
     }
 
     @Override
 	protected void drawGuiContainerBackgroundLayer(float f)
     {
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        mc.renderEngine.loadTexture("/assets/minecraft/textures/gui/container/crafting.png").bind();
+        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/crafting.png").bind();
         int j = (width - xSize) / 2;
         int k = (height - ySize) / 2;
         drawTexturedModalRect(j, k, 0, 0, xSize, ySize);
     }
     @Override
     public void guiSpecificControllerInput(ControllerInput controller){
-        controller.craftingGuiHandler.handleCrafting(this);
+        controller.inventoryHandler.handleCrafting(this);
     }
 }
diff --git a/src/main/java/net/minecraft/client/gui/GuiDispenser.java b/src/main/java/net/minecraft/client/gui/container/DispenserScreen.java
similarity index 61%
rename from src/main/java/net/minecraft/client/gui/GuiDispenser.java
rename to src/main/java/net/minecraft/client/gui/container/DispenserScreen.java
index 2bf5a9913..75f11ba4a 100644
--- a/src/main/java/net/minecraft/client/gui/GuiDispenser.java
+++ b/src/main/java/net/minecraft/client/gui/container/DispenserScreen.java
@@ -1,4 +1,4 @@
-package net.minecraft.client.gui;
+package net.minecraft.client.gui.container;
 
 import net.minecraft.core.block.entity.DispenserBlockEntity;
 import net.minecraft.core.lang.I18n;
@@ -10,10 +10,10 @@ import org.lwjgl.opengl.GL11;
 //            GuiContainer, ContainerDispenser, FontRenderer, RenderEngine, 
 //            InventoryPlayer, DispenserBlockEntity
 
-public class GuiDispenser extends GuiContainer
+public class DispenserScreen extends AbstractContainerScreen
 {
 
-    public GuiDispenser(Inventory inventoryplayer, DispenserBlockEntity tileentitydispenser)
+    public DispenserScreen(Inventory inventoryplayer, DispenserBlockEntity tileentitydispenser)
     {
         super(new TrapMenu(inventoryplayer, tileentitydispenser));
     }
@@ -21,15 +21,15 @@ public class GuiDispenser extends GuiContainer
     @Override
 	protected void drawGuiContainerForegroundLayer()
     {
-        fontRenderer.drawString(I18n.getInstance().translateKey("gui.dispenser.label.dispenser"), 60, 6, 0x404040);
-        fontRenderer.drawString(I18n.getInstance().translateKey("gui.dispenser.label.inventory"), 8, (ySize - 96) + 2, 0x404040);
+        font.drawString(I18n.getInstance().translateKey("gui.dispenser.label.dispenser"), 60, 6, 0x404040);
+        font.drawString(I18n.getInstance().translateKey("gui.dispenser.label.inventory"), 8, (ySize - 96) + 2, 0x404040);
     }
 
     @Override
 	protected void drawGuiContainerBackgroundLayer(float f)
     {
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        mc.renderEngine.loadTexture("/assets/minecraft/textures/gui/container/dispenser.png").bind();
+        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/dispenser.png").bind();
         int j = (width - xSize) / 2;
         int k = (height - ySize) / 2;
         drawTexturedModalRect(j, k, 0, 0, xSize, ySize);
